Package org.eclipse.swt.graphics

# Interface ImageFileNameProvider

public interface ImageFileNameProvider
Interface to provide a callback mechanism to get information about images when the application is moved from a low DPI monitor to a high DPI monitor. This provides API which will be called by SWT during the image rendering. This interface needs to be implemented by client code to provide the image information on demand.

Since:
  3.104

## Method Summary

Modifier and Type
Method
Description
`String`
`getImagePath(int zoom)`
Returns the image filePath for the given zoom level.

## Method Details

### getImagePath

String getImagePath(int zoom)
Returns the image filePath for the given zoom level.

If no image is available for a particular zoom level, this method should return `null`. For `zoom == 100`, returning `null` is not allowed, and SWT will throw an exception.

Parameters:
  `zoom` - The zoom level in % of the standard resolution (which is 1 physical monitor pixel == 1 SWT logical point). Typically 100, 150, or 200.
Returns:
  the image filePath, or `null` if `zoom != 100` and no image is available for the given zoom level.
Since:
  3.104